/* ------------------------------------------------------------------------- *
 * Copyright 2002-2023, OpenNebula Project, OpenNebula Systems               *
 *                                                                           *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may   *
 * not use this file except in compliance with the License. You may obtain   *
 * a copy of the License at                                                  *
 *                                                                           *
 * http://www.apache.org/licenses/LICENSE-2.0                                *
 *                                                                           *
 * Unless required by applicable law or agreed to in writing, software       *
 * distributed under the License is distributed on an "AS IS" BASIS,         *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  *
 * See the License for the specific language governing permissions and       *
 * limitations under the License.                                            *
 * ------------------------------------------------------------------------- */
import BackupsTable from 'client/components/Tables/Backups'
import ClustersTable from 'client/components/Tables/Clusters'
import DatastoresTable from 'client/components/Tables/Datastores'
import DockerHubTagsTable from 'client/components/Tables/DockerHubTags'
import EnhancedTable from 'client/components/Tables/Enhanced'
import GroupsTable from 'client/components/Tables/Groups'
import HostsTable from 'client/components/Tables/Hosts'
import ImagesTable from 'client/components/Tables/Images'
import IncrementsTable from 'client/components/Tables/Increments'
import FilesTable from 'client/components/Tables/Files'
import MarketplaceAppsTable from 'client/components/Tables/MarketplaceApps'
import MarketplacesTable from 'client/components/Tables/Marketplaces'
import SecurityGroupsTable from 'client/components/Tables/SecurityGroups'
import ServicesTable from 'client/components/Tables/Services'
import ServiceTemplatesTable from 'client/components/Tables/ServiceTemplates'
import SkeletonTable from 'client/components/Tables/Skeleton'
import UsersTable from 'client/components/Tables/Users'
import VirtualizedTable from 'client/components/Tables/Virtualized'
import VmsTable from 'client/components/Tables/Vms'
import VmTemplatesTable from 'client/components/Tables/VmTemplates'
import VNetworksTable from 'client/components/Tables/VNetworks'
import VNetworkTemplatesTable from 'client/components/Tables/VNetworkTemplates'
import VRoutersTable from 'client/components/Tables/VRouters'
import ZonesTable from 'client/components/Tables/Zones'

export * from 'client/components/Tables/Enhanced/Utils'

export {
  SkeletonTable,
  EnhancedTable,
  BackupsTable,
  FilesTable,
  VirtualizedTable,
  ClustersTable,
  DatastoresTable,
  DockerHubTagsTable,
  GroupsTable,
  HostsTable,
  ImagesTable,
  IncrementsTable,
  MarketplaceAppsTable,
  MarketplacesTable,
  SecurityGroupsTable,
  ServicesTable,
  ServiceTemplatesTable,
  UsersTable,
  VmsTable,
  VmTemplatesTable,
  VNetworksTable,
  VNetworkTemplatesTable,
  VRoutersTable,
  ZonesTable,
}
